LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XLinkUpdate Interface Referencepublished

allows initiating an update of linked parts of a document. More...

`import"XLinkUpdate.idl";`

Inheritance diagram for XLinkUpdate:

## Public Member Functions
void | updateLinks ()
| initiates the reloading of all linked document content like linked graphics, linked text sections. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

allows initiating an update of linked parts of a document.

## Member Function Documentation

## ◆ updateLinks()

void updateLinks | ( |  | ) |

initiates the reloading of all linked document content like linked graphics, linked text sections.

The documentation for this interface was generated from the following file:

- com/sun/star/util/XLinkUpdate.idl